Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.plugins.osgi
Class ContainedVersionAnalyzer

    java.lang.Object
      aQute.lib.osgi.Processor
          aQute.lib.osgi.Analyzer
              org.gradle.api.internal.plugins.osgi.ContainedVersionAnalyzer

    class ContainedVersionAnalyzer
    extends aQute.lib.osgi.Analyzer

Field Summary

Fields inherited from class aQute.lib.osgi.Analyzer
BUNDLE_CLASSPATH, BUNDLE_COPYRIGHT, BUNDLE_DESCRIPTION, BUNDLE_NAME, BUNDLE_NATIVECODE, EXPORT_PACKAGE, EXPORT_SERVICE, IMPORT_PACKAGE, DYNAMICIMPORT_PACKAGE, IMPORT_SERVICE, BUNDLE_VENDOR, BUNDLE_VERSION, BUNDLE_DOCURL, BUNDLE_CONTACTADDRESS, BUNDLE_ACTIVATOR, BUNDLE_REQUIREDEXECUTIONENVIRONMENT, BUNDLE_SYMBOLICNAME, BUNDLE_LOCALIZATION, REQUIRE_BUNDLE, FRAGMENT_HOST, BUNDLE_MANIFESTVERSION, SERVICE_COMPONENT, BUNDLE_LICENSE, PRIVATE_PACKAGE, IGNORE_PACKAGE, INCLUDE_RESOURCE, CONDITIONAL_PACKAGE, BND_LASTMODIFIED, CREATED_BY, TOOL, headers, REMOVE_HEADERS, SOURCES, FAIL_OK, DONOTCOPY, EXPORT_CONTENTS, CLASSPATH, PEDANTIC, NOEXTRAHEADERS, POM, INCLUDE, NOUSES, options, SPLIT_PACKAGE_DIRECTIVE, NO_IMPORT_DIRECTIVE, directives, componentDirectives, DEFAULT_PLUGINS, DEFAULT_BND_EXTENSION, DEFAULT_JAR_EXTENSION, DEFAULT_BAR_EXTENSION

Fields inherited from class aQute.lib.osgi.Processor
DEFAULT_PLUGINS, DEFAULT_BND_EXTENSION, DEFAULT_JAR_EXTENSION, DEFAULT_BAR_EXTENSION

Constructor Summary
`ContainedVersionAnalyzer()`

Method Summary
`Map` | `analyzeBundleClasspath(Jar dot, Map bundleClasspath, Map contained, Map referred, Map uses)`

Methods inherited from class aQute.lib.osgi.Analyzer
getImports, getClasspath, setClasspath, setClasspath, setClasspath, analyze, mergeProperties, mergeProperties, setJar, setJar, getJar, calcManifest, printClauses, doServiceComponent, calculateExportsFromContents, getBundleClasspath, getContained, getExports, getReferred, getUnreachable, getUses, getBndManifest, getBndLastModified, mergeManifest, updateModified, unsetProperty, _findpath, _findname, setProperty, getProperty, getProperty, putAll, getProperties, setProperties, setProperties, close, lastModified, getManifest, getVersion, setBase, getErrors, progress, getWarnings, analyzeBundleClasspath, isPedantic, setPedantic, add, format, getPackage, error, error, getFile, parseHeader, parseHeader, warning, getInfo, report, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class aQute.lib.osgi.Processor
getErrors, progress, getWarnings, analyzeBundleClasspath, isPedantic, setPedantic, add, format, getPackage, error, error, getFile, parseHeader, parseHeader, warning, getInfo, report, hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### ContainedVersionAnalyzer

    ContainedVersionAnalyzer()

Method Detail

### analyzeBundleClasspath

    public Map analyzeBundleClasspath(Jar dot, Map bundleClasspath, Map contained, Map referred, Map uses)

Groovy Documentation